const env = process.env.NODE_ENV || "development";
const port = process.env.PORT || 8055;

const API_YD_LOGIN = 'http://web-rest.int.yidian-inc.com/api/v1/pandora/auth'

const PANDORA_URI = {
  development: "http://pandora.yidian-inc.com",
  test: "http://pandora.yidian-inc.com",
  production: "http://pandora.yidian-inc.com"
};

const API_INTERNAL_URI = {
  'development': "http://bp-dev.ini.yidian-inc.com",
  'test': "http://bp-test.ini.yidian-inc.com",
  'production': "http://bp.int.yidian-inc.com"
}

module.exports = {
  env: env,
  port: port,
  API_INTERNAL_URI: API_INTERNAL_URI[env],
  PANDORA_URI: PANDORA_URI[env],
  GOODS_URI: API_INTERNAL_URI[env],
  ACTIVITY_URI: API_INTERNAL_URI[env],
  WITHDRAWAL_URI: API_INTERNAL_URI[env],
  GROUPMEAL_URI: API_INTERNAL_URI[env],
  API_YD_LOGIN
};
