/* eslint-disable */
import { yd_login, j_login } from "@/service/user";
import { isYdUser, setCookie, delCookie,redirectToLogin, getCookie } from "@/utils/util";
import { ElMessage } from "element-plus";
// import Cookies from 'js-cookie'

export default {
  state: {},
  mutations: {},
  actions: {
      async userLogin({commit}, { payload }) {
          let flag = isYdUser(payload.email);
          let params;
          if(!flag) {
            params = new URLSearchParams();
            params.append('email', payload.email);
            params.append('password', payload.password);
          }
          let res = flag ? await yd_login(payload) : await j_login(params)
          let storage = window.localStorage;
          // if(!getCookie('username')) {
            if (res.userInfo && flag) {
              if(!storage.getItem('YD_PANDORA_auth')) storage['YD_PANDORA_auth'] = JSON.stringify(res.auth || {})
              if(!storage.getItem('YD_PANDORA_JWT_TOKEN')) storage['YD_PANDORA_JWT_TOKEN'] = (res.type + ' ' + res.token )|| ''
              if(!storage.getItem('YD_PANDORA_user')) storage['YD_PANDORA_user'] = JSON.stringify(res.userInfo || {})
              if(!getCookie('uid')) setCookie('uid', res.userInfo && res.userInfo.id, 16)
              if(!getCookie('YD_PANDORA_UID')) setCookie('YD_PANDORA_UID', res.userInfo && res.userInfo.id, 16)
              if(!getCookie('userid')) setCookie('userid', res.userInfo && res.userInfo.id, 16)
              if(!getCookie('username')) setCookie('username', res.userInfo && res.userInfo.email, 16)
              if(!getCookie('nickname')) setCookie('nickname', res.userInfo && res.userInfo.displayName, 16)
              if(!getCookie('YD_PANDORA_JWT_TOKEN')) setCookie('YD_PANDORA_JWT_TOKEN', (res.type + ' ' + res.token )|| '', 16)
              storage['isDefault'] = 1;
              return true
            } else if(+res.code === 0){
              // TODO: refactor to pass directly
              localStorage.setItem("_user_email", payload.email)
              storage['isDefault'] = 2;
              if(!getCookie('username')) setCookie('username', payload.email, 16);
              return true
            } else {
              ElMessage.error(res);
            }
          // }
      },
      logout() {
        return new Promise(async (resolve) => {
            window.localStorage.clear();
            delCookie()
            redirectToLogin()
            resolve()
        });
      }
  },
  getters: {},
  namespaced: true
}
